帝国cms编辑器在IE9,IE10不兼容的解决方法建站

SEO新闻
打开IE,点击工具菜单,选择兼容性视图设置,勾选在兼容性视图中显示所有网站选项即可。 第二种方法、在使用编辑器的网页的: meta http-equiv=Content-Type content=te...

打开IE,点击“工具”菜单,选择“兼容性视图设置”,勾选“在兼容性视图中显示所有网站”选项即可。



第二种方法、在使用编辑器的网页的:

<meta http-equiv="Content-Type" content="text/html; charset=gbk">
下面加
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />



第三种方法、修改编辑器本身JS文件:

修改编辑器目录下的 /editor/js/fckeditorcode_ie.js 文件,查找
B.open("GET",A,false);
在后面加上:
try{B.responseType='msxml-document';}catch(e){}
即为如下:
B.open("GET",A,false);try{B.responseType='msxml-document';}catch(e){}B.send(null);

1
联系我们